Warning: 10.11 beta 6 is unusable with either Xcode 6 or 7 right now

Discussion in 'OS X El Capitan (10.11)' started by LeoNatan, Aug 4, 2015.

  1. LeoNatan macrumors member

    LeoNatan

    Joined:
    Aug 6, 2013
    #1
    Just a word of warning. If you are a developer, do not install El Capitan developer beta 6, because, you know, you should not develop on developer betas. Good job Apple. :rolleyes:

    In before all the "it's a beta, you should not be using it if you are not a developer" idiots. No **** sherlock, but even developers should stay away from beta 6.

    What a pathetic state of affair.
     
  2. LeoNatan thread starter macrumors member

    LeoNatan

    Joined:
    Aug 6, 2013
  3. SG- macrumors regular

    SG-

    Joined:
    Jun 8, 2015
    #3
    a quick fixed posted on Apple Dev forums to get Xcode 7 working on DP Beta 6 build:

    cd /Applications/Xcode-beta.app (or wherever your Xcode 7 beta 4 is located)
    cd Contents/Developer/Platforms/iPhoneSimulator.platform
    cd Developer/SDKs/iPhoneSimulator.sdk/usr/lib
    sudo mv dyld_sim dyld_sim.orig

    tested it myself and it works.
     

Share This Page